# HFT Digital Twin

Digital Twin of Hochschule für Technik (HFT) Stuttgart: https://transfer.hft-stuttgart.de/pages/urbandataplatform/hft-digital-twin/ - Prototype of Master Thesis Sanghmitra Banerjee, Masters Photogrammetry and GeoInformatics Batch 2021-23. The application is co-developed by Sanghmitra Banerjee and Rushikesh Padsala.

This demonstrates the combination of a semantically rich 3D city model (CityGML 3.0 building model of HFT Stuttgart building 1) with bounding volume hierarchy (I3S Building Scene Layer) optimised for streaming spatial data in multiple resolutions. 

The web 3D application is developed based on a protoype of the [Turanga library](https://my.christchurchcitylibraries.com/turanga/) released publicly by Esri. Visit the web application [here](https://esri.github.io/building-viewer). Its source code is available [here](https://github.com/Esri/building-viewer).

## Instructions

### To get a live copy on your machine

1. Clone the repo and `npm install` dependencies in the root folder.
2. Remove ref to this repo: `rm -rf .git`
3. `npm run build` to compile `src/js/*.ts` and `src/css/*.sccs` files in the same folder and watch for changes
4. `npm run server` launches a webserver.
5. Open your browser and enter the local address `http://localhost:8888/`. You should see now the Digital Twin of Hochschule für Technik (HFT) Stuttgart running.
